%if %mdkversion < 200610
%define py_platsitedir %{_libdir}/python%{pyver}/site-packages/
%endif

%define major 1
%define libname %mklibname ming %{major}
%define develname %mklibname ming -d

Summary:	Ming - an SWF output library
Name:		ming
Version:	0.4.3
Release:	%mkrel 3
License:	LGPL
Group:		System/Libraries
URL:		http://www.libming.org/
Source0:	http://prdownloads.sourceforge.net/ming/%{name}-%{version}.tar.bz2
Patch0:		ming-0.4.3-fix-linkage.patch
Patch2:		ming-perl-shared.diff
#Patch3:		ming-0.4.2-fix-str-fmt.patch
BuildRequires:	bison
BuildRequires:	chrpath
BuildRequires:	flex
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	perl-devel
BuildRequires:	png-devel
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	giflib-devel
BuildRequires:	zlib-devel
%if %mdkversion >= 200800
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libx11-devel
BuildRequires:	libxau-devel
BuildRequires:	libxdmcp-devel
BuildRequires:	xcb-devel
%else
BuildRequires:	X11-devel
%endif
# gotta conflict here, otherwise stuff will be linked against installed libs...
BuildConflicts:	ming-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ming is a c library for generating SWF ("Flash") format movies. This 
package only contains the basic c-based library.

%package -n	%{libname}
Summary:	Ming - an SWF output library
Group:		System/Libraries

%description -n	%{libname}
Ming is a c library for generating SWF ("Flash") format movies.
This package only contains the basic c-based library.

%package -n	%{develname}
Summary:	Ming development files
Group:		Development/C
Requires:	zlib-devel
Requires:	perl-devel
Requires:	png-devel
Requires:	ungif-devel
Requires:	X11-devel
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{libname}-devel = %{version}

%description -n	%{develname}
The %{name}-devel package contains the header files
and static libraries necessary for developing programs using the
%{name}-devel library (C and C++)..

%package -n	perl-SWF
Summary:	Ming perl module
Group:		Development/Perl
Provides:       perl-ming
Obsoletes:      perl-ming
Requires:	%{libname} = %{version}-%{release}

%description -n	perl-SWF
Ming perl module - perl wrapper for the Ming library.

%package -n	python-SWF
Summary:	Ming python module
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}

%description -n	python-SWF
Python module - python wrapper for the Ming library.

%package -n	%{name}-utils
Summary:	Ming utilities
Group:		File tools
Requires:	%{libname} = %{version}-%{release}

%description -n %{name}-utils
This package contains various ming utilities.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch2 -p0
#%patch3 -p0

# fix attribs
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
	
# cleanup
for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# fix python
perl -pi -e "s|/usr/local/include\b|%{_includedir}|g;s|/usr/local/lib\b|%{_libdir}|g" py_ext/setup.py

%build
export WANT_AUTOCONF_2_5="1"
rm -f configure macros/libtool.m4
libtoolize --copy --force --automake; aclocal -I macros; autoheader -f; automake; autoconf

%configure2_5x

%make

pushd perl_ext
    perl Makefile.PL LIBS="-L%{_libdir} -ljpeg -lpng12 -lz -lm -lgif" INSTALLDIRS=vendor </dev/null
    make
#    make test
popd

pushd py_ext
    env CFLAGS="%{optflags}" python setup.py build
popd

%install
rm -rf %{buildroot}

%makeinstall_std

# install the perl extension
%makeinstall_std -C perl_ext

# install the python extension
pushd py_ext
    python setup.py install --root=%{buildroot}
popd

# fix docs
cp perl_ext/README perl_ext.README
cp util/README util.README
chmod 644 ChangeLog HISTORY INSTALL *README* TODO

# cleanup
rm -rf %{buildroot}%{perl_vendorlib}/*/auto/SWF/include

# nuke rpath
find %{buildroot}%{perl_vendorlib} -name "*.so" | xargs chrpath -d

chmod 755 %{buildroot}%{_bindir}/ming-config

%multiarch_binaries %{buildroot}%{_bindir}/ming-config

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog HISTORY README TODO
%attr(0755,root,root) %{_libdir}/libming.so.%{major}*

%files -n %{develname}
%defattr(644,root,root,755)
%multiarch %attr(755,root,root) %{multiarch_bindir}/ming-config
%attr(0755,root,root) %{_bindir}/ming-config
%attr(0755,root,root) %{_libdir}/libming.so
%attr(0644,root,root) %{_libdir}/libming.*a
%attr(0644,root,root) %{_libdir}/pkgconfig/libming.pc
%{_includedir}/*
#%{_mandir}/man3/Ming_*
#%{_mandir}/man3/destroySWFMovie.3*
#%{_mandir}/man3/newSWF*

%files -n perl-SWF
%defattr(-,root,root)
%doc perl_ext.README perl_ext/examples
%dir %{perl_vendorlib}/*/auto/SWF
%dir %{perl_vendorlib}/*/SWF
%{perl_vendorlib}/*/auto/SWF/SWF.so
%{perl_vendorlib}/*/*.pm
%{perl_vendorlib}/*/SWF/*.pm
%{_mandir}/man3*/SWF*

%files -n python-SWF
%defattr(-,root,root)
%doc py_ext/README
%{py_platsitedir}/*.so
%{py_platsitedir}/*.py*
%if %mdkversion >= 200700
%{py_platsitedir}/*.egg-info
%endif

%files -n %{name}-utils
%defattr(644,root,root,755)
%doc util.README
%attr(755,root,root) %{_bindir}/dbl2png
%attr(755,root,root) %{_bindir}/gif2dbl
%attr(755,root,root) %{_bindir}/gif2mask
#%attr(755,root,root) %{_bindir}/img2swf
%attr(755,root,root) %{_bindir}/listaction
%attr(755,root,root) %{_bindir}/listaction_d
%attr(755,root,root) %{_bindir}/listfdb
%attr(755,root,root) %{_bindir}/listjpeg
%attr(755,root,root) %{_bindir}/listmp3
%attr(755,root,root) %{_bindir}/listswf
%attr(755,root,root) %{_bindir}/listswf_d
%attr(755,root,root) %{_bindir}/makefdb
%attr(755,root,root) %{_bindir}/makeswf
%attr(755,root,root) %{_bindir}/png2dbl
%attr(755,root,root) %{_bindir}/raw2adpcm
%attr(755,root,root) %{_bindir}/swftocxx
%attr(755,root,root) %{_bindir}/swftoperl
%attr(755,root,root) %{_bindir}/swftophp
%attr(755,root,root) %{_bindir}/swftopython
%attr(755,root,root) %{_bindir}/swftotcl
#%{_mandir}/man1/makeswf.1*


%changelog
* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.4.3-3mdv2011.0
+ Revision: 564308
- rebuild for perl 5.12.1

* Thu Jul 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.4.3-2mdv2011.0
+ Revision: 556780
- perl 5.12 rebuild

* Mon Feb 08 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 502214
- fix BR
- New version 0.4.3
- rediff p0
- drop p3 (now useless)
- update files list

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-7mdv2010.1
+ Revision: 488787
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-6mdv2010.0
+ Revision: 416661
- rebuilt against libjpeg v7

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.4.2-5mdv2009.1
+ Revision: 319826
- fix str fmt
- rebuild for new python

* Fri Nov 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-3mdv2009.1
+ Revision: 305486
- really make it backportable...

* Fri Nov 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-2mdv2009.1
+ Revision: 305468
- make it backportable

* Thu Sep 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-1mdv2009.0
+ Revision: 288076
- 0.4.2
- rediffed P0
- dropped redundant patches

* Mon Aug 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-0.rc1.1mdv2009.0
+ Revision: 275712
- 0.4.0.rc1
- drop implemented and obsolete patches
- fix linkage (P0)
- rediffed two patches
- drop the perl and python sources, it's bundled now

* Sat Aug 23 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.0-10mdv2009.0
+ Revision: 275267
- apply devel policy
- drop old conditionnal
- check major

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.3.0-9mdv2009.0
+ Revision: 265127
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-8mdv2009.0
+ Revision: 218120
- fix build

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-7mdv2008.1
+ Revision: 153649
- added P5 from PLD to make it link against the shared lib
- added some spec file fixes

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.0-5mdv2008.0
+ Revision: 89931
- rebuild


* Wed Jan 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.0-4mdv2007.0
+ Revision: 115787
- Fix Buildrequires (thanks iurt)
- Rebuild against new python
- Import ming

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2007.0
- 0.3.0

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-0.beta2.7mdk
- fix requires

* Sat May 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-0.beta2.6mdk
- fix buildrequires

* Tue Feb 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-0.beta2.5mdk
- rebuild

* Tue Feb 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-0.beta2.4mdk
- fix multiarch compliance

* Tue Feb 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-0.beta2.3mdk
- fix one minor glitch in the spec file

* Tue Feb 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-0.beta2.2mdk
- the code is too borked to be unbundled...

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-0.beta2.1mdk
- 0.3.0 beta2
- drop upstream patches; P0
- rediffed P2,P3
- fix sane microversion (P4)
- fix deps
- the perl and python sub packages has been broken out

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-1.20050815.1mdk
- new snap (20050815)
- rediffed P0 (different approach)
- rediffed P1 (gcc4)
- added P2 (DESTDIR)
- added the python sub package, fixes #18919
- added P3 to pass -fPIC to the compiler cflags when building the lib

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.beta1.9mdk
- added one gcc4 patch

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3-0.beta1.8mdk
- revert latest "lib64 fixes"

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3-0.beta1.7mdk
- lib64 fixes
- nuke rpath

* Fri Dec 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3-0.beta1.6mdk
- added an obvious lib64 fix

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.3-0.beta1.5mdk
- And another...

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.3-0.beta1.4mdk
- Fix BuildRequires

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.3-0.beta1.3mdk
- Rebuild for new perl
- Rename the perl module to perl-SWF, more compliant with the naming policy

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.beta1.2mdk
- misc spec file fixes
- drop P2, use spec file hack instead
- fix deps

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.beta1.1mdk
- 0.3beta1
- new url
- misc spec file fixes

